const input = [1020, 1096, 1200, 1229, 1231, 1233, 1235, 1237, 1238, 1241, 1247, 1255, 1272, 1277, 1279, 1291, 1292, 1296, 1302, 1303, 1304, 1307, 1308, 1313, 1314, 1323, 1333, 1334, 1339, 1340, 1345, 1351, 1352, 1353, 1360, 1365, 1370, 1372, 1382, 1383, 1394, 1397, 1402, 1403, 1404, 1407, 1408, 1409, 1412, 1413, 1414, 1416, 1417, 1425, 1426, 1428, 1433, 1437, 1440, 1444, 1445, 1446, 1447, 1468, 1474, 1475, 1481, 1482, 1487, 1493, 1495, 1500, 1505, 1508, 1517, 1518, 1526, 1528, 1531, 1543, 1546, 1550, 1555, 1561, 1568, 1582, 1583, 1585, 1592, 1596, 1600, 1603, 1605, 1607, 1613, 1615, 1616, 1621, 1624, 1627, 1631, 1634, 1637, 1642, 1643, 1650, 1651, 1656, 1660, 1662, 1667, 1668, 1669, 1672, 1673, 1675, 1677, 1682, 1683, 1684, 1687, 1691, 1696, 1699, 1704, 1706, 1707, 1709, 1712, 1713, 1714, 1735, 1740, 1742, 1744, 1745, 1748, 1749, 1752, 1756, 1757, 1759, 1762, 1769, 1773, 1774, 1776, 1784, 1788, 1791, 1801, 1807, 1810, 1814, 1819, 1820, 1829, 1839, 1849, 1851, 1857, 1862, 1874, 1878, 1887, 1897, 1909, 1921, 1923, 1937, 1938, 1939, 1940, 1944, 1946, 1947, 1949, 1957, 1965, 1968, 1973, 1976, 1977, 1982, 1986, 1987, 1991, 1999, 2002, 2003, 2009, 341, 372, 409, 569, 77, 790, 82, 90, 922].sort((a,b) => (a < b ? -1 : (a > b ? 1 : 0)));

//console.log(input);

const s = (x1, x2) => input[x1] + input[x2];

//console.log(s(0,0));

var p1 = 0;
var p2 = input.length - 1;

while (p1 <= p2 && s(p1, p2) != 2020) {
//    console.log(p1,p2);
    if (s(p1, p2) < 2020) {
        p1++;
    } else {
        p2--;
    }
}

console.log(`p1: ${p1} => ${input[p1]}`)
console.log(`p2: ${p2} => ${input[p2]}`)
console.log(`p1+p2: ${input[p1]+input[p2]} p1*p2: ${input[p1]*input[p2]}`)